=== debian/changelog ===
python-escript (5.6-10) unstable; urgency=medium

  * Team upload.
  * Use T1 encoding to fix LaTeX errors. Closes: #1088894.
  * Fix build on i386 and mip64el. Closes: #1041457.
    Thanks to Adrian Bunk.
  * debian/rules: Fix several typos.
  * debian/control: Filter with "expand", so that at least we can
    get rid of tabs, and drop trailing spaces.
  * debian/control: Drop unused libnetcdf-dev build dependency.
    Closes: #1050794. Thanks to Bas Couwenberg.
  * debian/control: Add missing build-dependency on python3-setuptools.
    Closes: #1080744. Thanks to Stefano Rivera.
  * Fix changelog entries for 5.6-6 and 5.6-8.

 -- Santiago Vila <sanvila@debian.org>  Fri, 13 Dec 2024 13:10:00 +0100

python-escript (5.6-9) unstable; urgency=medium

  * Change dep from openmpi-bin to mpi-default-bin in d/control.
    Closes: #1086918, #1088137

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Nov 2024 16:05:24 +0000

python-escript (5.6-8) unstable; urgency=medium

  * py3.13.patch: Allow escapes in string
  * Standards-Version: 4.7.0; no changes required
  * Escript moved to github.io; update d/control
  * Add d/watch (needs additional work)
  * Move openmpi -> mpi-default. Closes: #1086918
  * Don't link against mpi_cxx. Closes: #1086371
  * Change multiarch patch to work with both mpich and openmpi

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Nov 2024 13:42:01 +0000

python-escript (5.6-7) unstable; urgency=medium

  * Team upload.
  * debian/control: Apply "wrap-and-sort -abst" and unify between tabs
    and spaces.
  * debian/control: Move the main package descriptions to the source package
    section. Use variable replacement ${source:Synopsis} and
    ${source:Extended-Description} to avoid repeated boilerplate.
  * debian/control: Fix Vcs-* field syntax.
  * debian/gbp.conf: Use status quo and update default debian-branch to
    "debian/latest". Also add ignore-branch = True to circumvent pedantic
    issues.

  [ Bo YU ]
  * Team upload.
  * Add fix-dpkg-buildflags-on-c-c++.patch to fix ftbfs issue.
    (Closes: #1068158)
  * No build dependencies issue now. (Closes: #1067385)

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Apr 2024 10:52:48 -0400

python-escript (5.6-6) unstable; urgency=medium

  * Update patch for new buildflags. Closes: #1057593

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Dec 2023 10:53:54 +0000

python-escript (5.6-5) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Drop build-dep on netcdf-legacy-cxx. Closes: #1038468

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Aug 2023 11:13:07 +0100

python-escript (5.6-4) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * 'which' no longer present ; change sh scripts to use command -v
    or search path in python
  * Ignore new ASFLAGS in dpkg-buildpackage output. Closes: #10002428
  * Build against latest numpy, sphinx, Closes: #999530

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 01 Jan 2022 11:40:25 +0000

python-escript (5.6-3) unstable; urgency=medium

  * Fix FTBFS with new DFLAG in dpkg-buildflags. Closes: #986516

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Apr 2021 17:17:31 +0100

python-escript (5.6-2) unstable; urgency=medium

  * Ack bugs fixed: Closes: #976555, #976687
  * Fix boost_numpy.patch to find lib properly

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Dec 2020 17:53:59 +0000

python-escript (5.6-1) unstable; urgency=medium

  * New upstream release
  * Drop python3-sympy until escript supports sympy >  1.2. Closes: #876555
  * Fix bug in sid_options.py that results in linking to the wrong
    boost_python library. Closes: #97687
  * Patch g++-10.patch to fix compilation on g++-10
  * Patch tex.patch to fix errors that break on pdflatex
  * Drop python3-gdal; escript exports gdal module, not osgeo. Needs updating
  * Build-depend and support:
    - libcppunit-dev for cppunit
    - libsuitesparse-dev for umfpack
    - libboost-numpy-dev for Numpy Boost support
    - libboost-iostream-dev for compressed files support
    - Drop trilinos build-deps; currently not working
    - B-D on libscotchmetis-dev and libscotchparmetis-dev for parmetis support
  * Debhelper level 13
  * Standards-Version: 4.5.1
  * No longer ignore dwz errors; fixed
  * Patch boost_numpy.patch to find correct lib

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Dec 2020 16:57:30 +0000
