=== debian/control ===
Source: python-escript
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Joel Fenwick <j.oelpublic@gmail.com>,
 Alastair McKinstry <mckinstry@debian.org>,
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-setuptools,
               python3-dev,
               python3-gdal,
               python3-matplotlib,
               python3-numpy,
               python3-scipy,
               python3-pyproj,
               libcppunit-dev,
               libsuitesparse-dev,
               libboost-python-dev,
               libboost-random-dev,
               libboost-numpy-dev,
               libboost-iostreams-dev,
               libnetcdf-c++4-dev,
               libsilo-dev (>= 4.10.2.real-5),
               libscotchparmetis-dev,
               libscotchmetis-dev,
               gmsh,
               mpi-default-dev,
               mpi-default-bin,
               scons,
               zip,
               python3-sphinx,
               doxygen,
               texlive,
               ghostscript,
               texlive-latex-extra,
               texlive-latex-recommended,
               lsb-release,
               libjs-mathjax
Standards-Version: 4.7.0
Homepage: https://github.com/esys-escript/esys-escript.github.io
Vcs-Browser: https://salsa.debian.org/science-team/python-escript
Vcs-Git: https://salsa.debian.org/science-team/python-escript.git
Description: Escript/Finley finite elements Python3 system
 Escript is a programming tool for implementing mathematical models in Python
 using the finite element method (FEM). Because users do not access the data
 structures it is very easy to use and scripts can run on desktop computers as
 well as highly parallel supercomputer without changes. Application areas for
 escript include earth mantle convection, geophysical inversion, earthquakes,
 porous media flow, reactive transport, plate subduction, erosion, and
 tsunamis.
 .
 Scripts can be executed in parallel (on varying numbers of threads or nodes)
 without any special modifications.
 .
 Escript now includes the esys.downunder module for 3D inversion of geophysical
 data sets. The current version supports gravity, magnetic and joint inversion.

Package: python3-escript
Architecture: any
Section: python
Depends: ${python3:Depends},
         python3-numpy,
         mpi-default-bin,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-sympy,
            python3-matplotlib,
            python3-scipy
Suggests: python3-pyproj,
          python3-gdal,
          python-escript-doc
Description: Escript/Finley finite elements Python3 system (OpenMP + MPI)
 Escript is a programming tool for implementing mathematical models in Python
 using the finite element method (FEM). Because users do not access the data
 structures it is very easy to use and scripts can run on desktop computers as
 well as highly parallel supercomputer without changes. Application areas for
 escript include earth mantle convection, geophysical inversion, earthquakes,
 porous media flow, reactive transport, plate subduction, erosion, and
 tsunamis.
 .
 This package contains the commands and libraries for Python3 with
 OpenMP threading and MPI multiprocess support.

Package: python-escript-doc
Architecture: all
Section: doc
Depends:
 doc-base,
 libjs-mathjax,
 libjs-sphinxdoc,
 sphinx-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-escript,
Description: Documentation for Escript/Finley
 ${source:Extended-Description}
 .
 This package contains the documentation for escript,
 including example scripts the user guide, the cookbook (an introduction from
 a geoscientists point of view) and a guide to the esys.downunder inversion
 toolkit.

Package: python3-escript-mpi
Architecture: any
Section: python
Depends:
 mpi-default-bin,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-matplotlib,
 python3-scipy,
 python3-sympy,
Suggests:
 python-escript-doc,
 python3-gdal,
 python3-pyproj,
Description: ${source:Description} (OpenMP + MPI)
 ${source:Extended-Description}
 .
 This package contains the commands and libraries for Python3 with
 both OpenMP threading and MPI multiprocess support.
