=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com//LutzGross/esys-escript.github.io/tags .*/?(\d\d?\d?).tar\.gz
